using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class controls_Box : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public string BoxTitle
    {
        get { return lblBoxName.Text; }
        set { lblBoxName.Text = value; }
    }

    public string BoxDisplay
    {
        set 
        {
            Label lblBoxDisplay;
            lblBoxDisplay = new Label();

            lblBoxDisplay.Text = value;
            pnlBoxDisplay.Controls.Clear();
            pnlBoxDisplay.Controls.Add(lblBoxDisplay);
        }
    }

    public string BoxDynamicControl
    {
        set
        {
            string lsControl = value.Replace("controls/", "");
            pnlBoxDisplay.Controls.Clear();
            pnlBoxDisplay.Controls.Add(LoadControl(lsControl));
        }
    }
}
